Subject: New Reply Received - I am currently facing the worst customer service I have experienced in a long time. I ordered purebo...
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 28 Sep 2020 19:10:11 +0000

Hi Ezzaldeen Mahyoub,  The customer has responded to the ticket.  I am currently facing the worst customer service I have experienced in a long time. I ordered purebo...  Ticket comment <div>I did not wanted a refund! I wanted the items I ordered. How come u telling this. I got the WRONG items not the ones I ordered. I have the receipt with the right items I ordered. I don t even know why I am losing my time talking to you when you do not have a clue and blaming me.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1525458